I got an email today from the Apache announcement mailing list that a new version was released today. I’ve downloaded version 2.2.9 and compiled it right away on my Leopard test machine. I was surprised that there weren’t any problems with the SSL module, there where no changes or fixes listed on the SSL module. It all worked as you normally would expect. It was almost like the the SSL issues on 2.2.6 and 2.2.8 never existed. The only problem I have with this is that I don’t know how or why the problem is solved.

I’ve even tried it on my production server to see if that would work and it did.

This version has besides several bugfixes tw osecurity fixes so please upgrade to this version whenever possible. Read all about the changes in the 2.2.9 changelog.

To help I’ve written some instructions on how to upgrade your Apache installation in the least painfull way with a possibility to go back if something goes wrong: Upgrading Apache